hscolour-1.25: Colourise Haskell code.

Safe Haskell | Safe-Inferred
Language | Haskell98

Language.Haskell.HsColour.HTML

Contents

- Internals

Description

Formats Haskell source code using HTML with font tags.

Synopsis

- hscolour :: ColourPrefs -> Bool -> Int -> String -> String
- top'n'tail :: String -> String -> String
- renderAnchors :: (a -> String) -> Either String a -> String
- renderComment :: String -> String
- renderNewLinesAnchors :: Int -> String -> String
- escape :: String -> String

# Documentation

hscolour Source #

Arguments

:: ColourPrefs | Colour preferences.
-> Bool | Whether to include anchors.
-> Int | Starting line number (for line anchors).
-> String | Haskell source code.
-> String | Coloured Haskell source code.

Formats Haskell source code using HTML with font tags.

top'n'tail :: String -> String -> String Source #

# Internals

renderAnchors :: (a -> String) -> Either String a -> String Source #

renderComment :: String -> String Source #

renderNewLinesAnchors :: Int -> String -> String Source #

escape :: String -> String Source #